<?php

// -----------------------------------------------------------------------
// This file is part of aroundme
//
// Copyright (C) 2003, 2005 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
// -----------------------------------------------------------------------

?>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td width="180" valign="top">
			<?php
			if (isset($group)) {
			include $templatePath . "g_menu.inc.tpl.php";
			}
			elseif (isset($profile)) {
			include $templatePath . "sn_menu.inc.tpl.php";
			}
			
			if (isset($group) || isset($profile)) {
			?>
			<img src="<?php echo $templatePath;?>img/pixel.png" width="1" height="9" alt="" /><br />
			<?php }?>
			
			<?php
			if (isset($poll)) {
			if (isset($group)) {
				$hidden_form = array(
					"poll_id" => $poll['poll_id'], 
					"group_id" => $group['group_id'],
					"item_id" => $poll['poll_id']
				);
			}
			else {
				$hidden_form = array(
					"poll_id" => $poll['poll_id'],
					"item_id" => $poll['poll_id']
				);
			}
			
			if (isset($_REQUEST['user_id'])) {
				$hidden_form['user_id'] = $_REQUEST['user_id'];
			}
			
			$show_network = 1;
			
			include $templatePath . "tag.inc.tpl.php";
			}
			?>
		</td>

		<td width="20">
			<img src="<?php echo $templatePath;?>img/pixel.png" width="20" height="1" alt="" /><br />
		</td>

		<td width="560" valign="top">
		
			<div class="box_top">
				<?php echo $lang['hdr_poll'];?><br />
			</div>

			<div class="box_mid" style="padding: 9px;">
			<table border="0" cellspacing="2" cellpadding="0" width="100%">
				<tr>
					<td valign="top">
						<?php
						include $templatePath . "poll_detail.inc.tpl.php";
						?>
					</td>
				</tr>
				<?php
				if (isset($poll_history)) {
				?>
				<tr>
					<td class="vote_results_box" valign="top">
						<b><?php echo $lang['hdr_my_vote_history'];?></b><br />
						<?php
						$separator = ", ";
						foreach($poll_history as $key => $r):
							if ($key == (count($poll_history)-1)) {
							    $separator=".";
							}
							echo $r['option_body'] . " (" . $r['answer_create_datetime'] . ")" . $separator;
						endforeach;
						?>
					</td>
				</tr>
				<?php }?>
				<tr>
					<td>
						<div class="box_edit">
							<span style="float: right">
							<?php
							if (isset($group)) {
							if ($this->group_acs->checkPermission($resource_ids['group_poll'], $privilege_ids['allow_edit']) && isset($poll['poll_id'])) {
							?>
							<a href="pol_edit.php?group_id=<?php echo $group['group_id'];?>&amp;poll_id=<?php echo $poll['poll_id'];?>" class="link_stnd"><?php echo $lang['href_edit_this'];?></a>
							<?php
							}}
							elseif ($poll['user_id'] == $me['user_id']) {
							?>
							<a href="pol_edit.php?poll_id=<?php echo $poll['poll_id'];?>" class="link_stnd"><?php echo $lang['href_edit_this'];?></a>
							<?php }?>
							<br />
							
							</span>
							<?php
							if (isset($poll['rsp'])) {
								echo "<b>" . $lang['txt_published_to']. ": </b>";
							    foreach($poll['rsp'] as $key => $i):
									
									echo trim($lang['rsp']['rsp_level'][$i['level_id']] . " " . $i['degree_id']);
									echo " (" .$lang['rsp']['status'][$i['status_id']] . ")";
									if ($key+1 < count($poll['rsp'])) {
									    echo ", ";
									}
									
								endforeach;
							}
							?><br />
						</div>
					</td>
				</tr>
			</table>
			</div>

			<div id="box_bottom">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td align="left">
							<img src="<?php echo $templatePath;?>img/box_bottom_left.png" width="5" height="18" alt="" border="0" /><br />
						</td>
						<td align="left">
							<img src="<?php echo $templatePath;?>img/pixel.png" width="1" height="9" alt="" border="0" /><br />
						</td>
						<td align="right">
							<img src="<?php echo $templatePath;?>img/box_bottom_right.png" width="5" height="18" alt="" border="0" /><br />
						</td>
					</tr>
				</table>
			</div>


			<?php
			if (isset($poll['poll_id'])) {
				//comments
				if ($poll['user_id'] == $me['user_id']) {
					$unlocked = 1;
				}
				
				if (isset($group)) {
					if ($this->group_acs->checkPermission($resource_ids['group_poll'], $privilege_ids['allow_comment'])) {
						$unlocked = 1;
					}

					$hidden_form = array(
						"group_id" => $group['group_id'],
						"poll_id" => $poll['poll_id']
					);

					$requested_comment_language_id = $group['language_id'];
				}
				else {
					if (!empty($poll['poll_allow_comments'])) {
					    $unlocked = 1;
					}
					
					$hidden_form = array(
						"poll_id" => $poll['poll_id']
					);

					$requested_comment_language_id = $me['language_id'];
				}
				
				if (isset($_REQUEST['user_id'])) {
					$hidden_form['user_id'] = $_REQUEST['user_id'];
				}


				include $templatePath . "comment.inc.tpl.php";
			}
			?>
		</td>
	</tr>
</table>

